Skip to main content
`Ctrl`+`K`

# SNESNGMRESSelectType

the approach used by `SNESNGMRES` to determine how the candidate solution and combined solution are used to create the next iterate.

## Values

- `SNES_NGMRES_SELECT_NONE` - choose the combined solution all the time

- `SNES_NGMRES_SELECT_DIFFERENCE` - choose based upon the selection criteria

- `SNES_NGMRES_SELECT_LINESEARCH` - choose based upon line search combination

## Options Database Key

- -snes_ngmres_select_type (difference|none|linesearch) - select how the next iterate is created

## See Also

`SNES`, `SNESNGMRES`, `SNESNGMRESSetSelectType()`, `SNESNGMRESGetSelectType()`, `SNESNGMRESSetRestartType()`, `SNESNGMRESGetRestartType()`, `SNESNGMRESRestartType`

## Level

intermediate

## Location

include/petscsnes.h

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages